# Uses of Interface
org.eclipse.core.runtime.spi.IRegistryProvider

Packages that use IRegistryProvider
Package
Description
org.eclipse.core.runtime
Provides support for the runtime platform, core utility methods and the extension registry.

## Uses of IRegistryProvider in org.eclipse.core.runtime

Methods in org.eclipse.core.runtime with parameters of type IRegistryProvider
Modifier and Type
Method
Description
`static void`
RegistryFactory.`setDefaultRegistryProvider(IRegistryProvider provider)`
Use this method to specify the default registry provider.